package com.cultural.heritage.model.dto.cart;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "购物车记录更新请求体", requiredProperties = {"id", "userId", "goodId", "quantity", "subtotal"})
public class CartRecordUpdateRequest implements Serializable {

    /**
     * 购物车记录id
     */
    @Schema(description = "购物车记录Id(id > 0)", example = "5")
    private Long id;

    /**
     * 用户id
     */
    @Schema(description = "用户Id(id > 0)", example = "2")
    private Long userId;

    /**
     * 商品id
     */
    @Schema(description = "商品id(id > 0)", example = "20")
    private Long goodId;

    /**
     * 数量
     */
    @Schema(description = "商品数量(quantity > 0)", example = "3")
    private Integer quantity;

    /**
     * 小计
     */
    @Schema(description = "小计(商品单价 * 数量)", example = "60")
    private Double subtotal;


    @Serial
    private static final long serialVersionUID = 1L;
}
