package com.cultural.heritage.model.dto.contacts;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 添加联系人请求体
 */
@Data
@Schema(description = "联系人添加请求体", requiredProperties = {"name", "phone", "userId", "isDefault"})
public class ContactsAddRequest implements Serializable {


    /**
     * 联系人姓名
     */
    @Schema(description = "联系人姓名", example = "张三")
    private String name;


    /**
     * 联系人手机号
     */
    @Schema(description = "联系人手机号", example = "18845892473")
    private String phone;


    /**
     * 用户id
     */
    @Schema(description = "用户id(id > 0)", example = "2")
    private Long userId;

    /**
     * 是否默认
     */
    @Schema(description = "是否为默认地址", example = "1")
    private Integer isDefault;


    @Serial
    private static final long serialVersionUID = 1L;
}
