package com.cultural.heritage.model.dto.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户更新个人信息请求
 */
@Data
@Schema(description = "用户个人信息更新请求体", requiredProperties = {"userName", "userAvatar", "phone"})
public class UserUpdateMyRequest implements Serializable {

    /**
     * 用户昵称
     */
    @Schema(description = "用户昵称", example = "王五")
    private String userName;

    /**
     * 用户头像
     */
    @Schema(description = "用户头像", example = "https://xxx/xxx.jpg")
    private String userAvatar;

    /**
     * 手机号
     */
    @Schema(description = "手机号", example = "18845892473")
    private String phone;


    @Serial
    private static final long serialVersionUID = 1L;
}
